Subject: bug#21234: closed (Re: bug#27839: crash report)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Jun 2022 13:34:02 +0000

Your bug report

#21234: 25.0.50; emacs hangs in XIfEvent

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21234: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21234
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27839: crash report
From: Nicolas Richard <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sun, 5 Jun 2022 15:32:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le 07/05/2022 à 13:48, Lars Ingebrigtsen a écrit :

Nicolas Richard <[email-masked]> writes:

I regularly (a few times every week or so) have an emacs that is not
responding. It seems to happen in a function (outside emacs) named
XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.

It happens on my laptop but I don't think I had the problem on my
desktop even though I use a similar setup there. Here's a full bt :

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

There was a number of similar reports about this at the time, but none
in the last six years, apparently. Do you still see this problem in
recent Emacs versions?

No, I don't. Marking as done.

--

Nicolas.

Subject: 25.0.50; emacs hangs in XIfEvent
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Tue, 11 Aug 2015 14:13:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I regularly (a few times every week or so) have an emacs that is not
responding. It seems to happen in a function (outside emacs) named
XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.

It happens on my laptop but I don't think I had the problem on my
desktop even though I use a similar setup there. Here's a full bt :

#0  0xb76fe428 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb67c3c8b in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#2  0xb667e3a8 in ?? () from /usr/lib/i386-linux-gnu/libxcb.so.1
No symbol table info available.
#3  0xb6680394 in xcb_wait_for_event () from /usr/lib/i386-linux-gnu/libxcb.so.1
No symbol table info available.
#4  0xb73bb447 in _XReadEvents (dpy=dpy@entry=0xa499228) at ../../src/xcb_io.c:401
        event = <optimized out>
        response = <optimized out>
        serial = 164443
#5  0xb73a2bca in XIfEvent (dpy=0xa499228, event=event@entry=0xbfb398ac, predicate=predicate@entry=0xb73ec0f0 <_CheckCMEvent>, 
    arg=arg@entry=0xa615420 ",kK\267\310B\367\b\020\205{\n(\222I\n\350G\362\b؎I\n\270\221I\n(Ua\n\030pm\n") at ../../src/IfEvent.c:68
        qelt = <optimized out>
        prev = 0x11970808
        qe_serial = 164442
#6  0xb73ec8bb in _XimXRead (im=0xa615420, recv_buf=0xbfb3a350 "", buf_len=2048, ret_len=0xbfb3996c) at ../../../../modules/im/ximcp/imTrX.c:476
        ev = 0xbfb398ac
        event = {
          type = 0, 
          xany = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0
          }, 
          xkey = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            root = 0, 
            subwindow = 0, 
            time = 0, 
            x = 0, 
            y = 0, 
            x_root = 0, 
            y_root = 0, 
            state = 0, 
            keycode = 0, 
            same_screen = 0
          }, 
          xbutton = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            root = 0, 
            subwindow = 0, 
            time = 0, 
            x = 0, 
            y = 0, 
            x_root = 0, 
            y_root = 0, 
            state = 0, 
            button = 0, 
            same_screen = 0
          }, 
          xmotion = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            root = 0, 
            subwindow = 0, 
            time = 0, 
            x = 0, 
            y = 0, 
            x_root = 0, 
            y_root = 0, 
            state = 0, 
            is_hint = 0 '\000', 
            same_screen = 0
          }, 
          xcrossing = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            root = 0, 
            subwindow = 0, 
            time = 0, 
            x = 0, 
            y = 0, 
            x_root = 0, 
            y_root = 0, 
            mode = 0, 
            detail = 0, 
            same_screen = 0, 
            focus = 0, 
            state = 0
          }, 
          xfocus = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            mode = 0, 
            detail = 0
          }, 
          xexpose = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            x = 0, 
            y = 0, 
            width = 0, 
            height = 0, 
            count = 0
          }, 
          xgraphicsexpose = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            drawable = 0, 
            x = 0, 
            y = 0, 
            width = 0, 
            height = 0, 
            count = 0, 
            major_code = 0, 
            minor_code = 0
          }, 
          xnoexpose = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            drawable = 0, 
            major_code = 0, 
            minor_code = 0
          }, 
          xvisibility = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            state = 0
          }, 
          xcreatewindow = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            parent = 0, 
            window = 0, 
            x = 0, 
            y = 0, 
            width = 0, 
            height = 0, 
            border_width = 0, 
            override_redirect = 0
          }, 
          xdestroywindow = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0
          }, 
          xunmap = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            from_configure = 0
          }, 
          xmap = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            override_redirect = 0
          }, 
          xmaprequest = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            parent = 0, 
            window = 0
          }, 
          xreparent = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            parent = 0, 
            x = 0, 
            y = 0, 
            override_redirect = 0
          }, 
          xconfigure = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            x = 0, 
            y = 0, 
            width = 0, 
            height = 0, 
            border_width = 0, 
            above = 0, 
            override_redirect = 0
          }, 
          xgravity = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            x = 0, 
            y = 0
          }, 
          xresizerequest = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            width = 0, 
            height = 0
          }, 
          xconfigurerequest = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            parent = 0, 
            window = 0, 
            x = 0, 
            y = 0, 
            width = 0, 
            height = 0, 
            border_width = 0, 
            above = 0, 
            detail = 0, 
            value_mask = 0
          }, 
          xcirculate = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            event = 0, 
            window = 0, 
            place = 0
          }, 
          xcirculaterequest = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            parent = 0, 
            window = 0, 
            place = 0
          }, 
          xproperty = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            atom = 0, 
            time = 0, 
            state = 0
          }, 
          xselectionclear = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            selection = 0, 
            time = 0
          }, 
          xselectionrequest = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            owner = 0, 
            requestor = 0, 
            selection = 0, 
            target = 0, 
            property = 0, 
            time = 0
          }, 
          xselection = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            requestor = 0, 
            selection = 0, 
            target = 0, 
            property = 0, 
            time = 0
          }, 
          xcolormap = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            colormap = 0, 
            new = 0, 
            state = 0
          }, 
          xclient = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            message_type = 0, 
            format = 0, 
            data = {
              b = '\000' <se r\377\377\377\377\377\377\377\377p\377\377\377\377\377\377\377\377te 19 fois>, 
              s = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, 
              l = {0, 0, 0, 0, 0}
            }
          }, 
          xmapping = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            request = 0, 
            first_keycode = 0, 
            count = 0
          }, 
          xerror = {
            type = 0, 
            display = 0x0, 
            resourceid = 0, 
            serial = 0, 
            error_code = 0 '\000', 
            request_code = 0 '\000', 
            minor_code = 0 '\000'
          }, 
          xkeymap = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            window = 0, 
            key_vector = '\000' <se r\377\377\377\377\377\377\377\377p\377\377\377\377\377\377\377\377te 31 fois>
          }, 
          xgeneric = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            extension = 0, 
            evtype = 0
          }, 
          xcookie = {
            type = 0, 
            serial = 0, 
            send_event = 0, 
            display = 0x0, 
            extension = 0, 
            evtype = 0, 
            cookie = 0, 
            data = 0x0
          }, 
          pad = {0 <repeats 24 times>}
        }
        len = 0
        spec = <optimized out>
        arg = <optimized out>
#7  0xb73ed810 in _XimReadData (im=im@entry=0xa615420, len=len@entry=0xbfb399be, buf=buf@entry=0xbfb3a350 "", buf_size=buf_size@entry=2048)
    at ../../../../modules/im/ximcp/imTransR.c:165
        hold_buf = <optimized out>
        tmp = <optimized out>
        data_len = 0
        packet_size = <optimized out>
        ret_len = 0
        i = <optimized out>
#8  0xb73edb1a in _XimRead (im=im@entry=0xa615420, len=len@entry=0xbfb39a46, buf=buf@entry=0xbfb3a350 "", buf_size=buf_size@entry=2048, 
    predicate=predicate@entry=0xb73da5f0 <_XimSetICValuesCheck>, arg=arg@entry=0xa7b8510 "") at ../../../../modules/im/ximcp/imTransR.c:235
        read_len = -18626
        ret_code = <optimized out>
#9  0xb73db4ce in _XimProtoSetICValues (xic=0xa7b8510, arg=<optimized out>) at ../../../../modules/im/ximcp/imDefIc.c:778
        ic = 0xa7b8510
        im = 0xa615420
        ic_values = {
          input_style = 1028, 
          client_window = 18874567, 
          focus_window = 18874567, 
          filter_events = 0, 
          geometry_callback = {
            client_data = 0x0, 
            callback = 0x0
          }, 
          res_name = 0x0, 
          res_class = 0x0, 
          destroy_callback = {
            client_data = 0x0, 
            callback = 0x0
          }, 
          preedit_state_notify_callback = {
            client_data = 0x0, 
            callback = 0x0
          }, 
          string_conversion_callback = {
            client_data = 0x0, 
            callback = 0x0
          }, 
          string_conversion = {
            length = 0, 
            feedback = 0x0, 
            encoding_is_wchar = 0, 
            string = {
              mbs = 0x0, 
              wcs = 0x0
            }
          }, 
          reset_state = 0, 
          hotkey = 0x0, 
          hotkey_state = 0, 
          preedit_attr = {
            area = {
              x = 0, 
              y = 0, 
              width = 0, 
              height = 0
            }, 
            area_needed = {
              x = 0, 
              y = 0, 
              width = 0, 
              height = 0
            }, 
            spot_location = {
              x = 279, 
              y = 686
            }, 
            colormap = 0, 
            std_colormap = 0, 
            foreground = 0, 
            background = 16777215, 
            background_pixmap = 0, 
            fontset = 0xa7ae268, 
            line_spacing = 0, 
            cursor = 0, 
            start_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            done_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            draw_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            caret_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            preedit_state = 0, 
            state_notify_callback = {
              client_data = 0x0, 
              callback = 0x0
            }
          }, 
          status_attr = {
            area = {
              x = 0, 
              y = 0, 
              width = 0, 
              height = 0
            }, 
            area_needed = {
              x = 0, 
              y = 0, 
              width = 0, 
              height = 0
            }, 
            colormap = 0, 
            std_colormap = 0, 
            foreground = 0, 
            background = 0, 
            background_pixmap = 0, 
            fontset = 0x0, 
            line_spacing = 0, 
            cursor = 0, 
            start_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            done_callback = {
              client_data = 0x0, 
              callback = 0x0
            }, 
            draw_callback = {
              client_data = 0x0, 
              callback = 0x0
            }
          }
        }
        len = 24
        buf_s = <optimized out>
        tmp = <optimized out>
        tmp_buf32 = {327734, 131074, 12, 524622, 262488, 44957975, 3216219016, 136917738, 141939140, 37080, 3216219064, 136178778, 139416368, 
          2684354560, 0, 136180931, 139416368, 139416368, 3216219080, 136179518, 139416368, 2684354560, 5, 142089024, 139416368, 2684354560, 
          139416368, 141272859, 139416416, 2147483648, 141272785, 3216220940, 139416368, 2684354560, 139416368, 2147483648, 139416432, 2684354560, 
          3216219272, 137111809, 139416416, 2147483648, 139416432, 2684354560, 11, 1073741824, 257, 1073741824, 1, 3216220072, 0, 0, 11, 1073741824, 
          139416368, 2684354560, 139416368, 139416368, 3216219240, 136189727, 139416368, 13, 5, 136178778, 257, 1073741824, 0, 0, 205880360, 
          139416368, 3216219272, 136190003, 139416368, 2684354560, 12, 1, 0, 2684354560, 3216219560, 137109995, 173960596, 2684354560, 1, 
          3216220064, 205880360, 2684354560, 3216219368, 136178778, 205880360, 205880360, 3216219368, 136189727, 10680, 0, 5, 0, 205880360, 10680, 
          3216219416, 136178778, 10680, 0, 0, 136190049, 205880360, 2684354560, 10680, 0, 0, 0, 10680, 142062624, 146213216, 0, 3216219480, 
          136178778, 0, 0, 0, 2684354560, 0, 0, 0, 0, 34880, 0, 0, 142051944, 142062624, 3221225472, 3216219528, 136180858, 0, 0, 34880, 142086824, 
          267, 3221225472, 0, 0, 34880, 0, 3216219560, 136180931, 142051944, 197263600, 34880, 3998912, 0, 2684354560, 3216219592, 137103451, 0, 0, 
          146213216, 3221225472, 0, 0, 3216219672, 137105158, 0, 0, 6, 142051944, 0, 0, 0, 0, 0, 0, 3999352, 0, 141622128, 141622128, 3216219704, 
          136180194, 0, 0, 3216219704, 137103558, 205880360, 2684354560, 3216219752, 136178778, 0, 0, 3216219752, 136189727, 205880360, 0, 
          3216219784, 136178778, 0, 0, 0, 142051944, 0, 205880360, 0, 0...}
        tmp_buf = 0xbfb39b50 "6"
        buf = <optimized out>
        buf_size = 2048
        data = <optimized out>
        data_len = 2036
        ret_len = 12
        total = 12
        arg_ret = 0x0
        reply32 = {0 <repeats 512 times>}
        reply = 0xbfb3a350 ""
        preply = 0x0
        ret_code = <optimized out>
        flag = 0
        name = <optimized out>
        tmp_name = 0x83d7885 "preeditAttributes"
#10 0xb73c82ad in XSetICValues (ic=0xa7b8510) at ../../../src/xlibi18n/ICWrap.c:332
        var = 0xbfb3aba4 "\205x=\bP\334\313\021"
        total_count = 1
        args = 0xd3a73b8
        ret = <optimized out>
#11 0x081c4ed7 in xic_set_preeditarea (w=0x10fb2128, x=270, y=670) at xfns.c:2204
        f = 0xa78fed0
        attr = 0x11cbdc50
        spot = {
          x = 279, 
          y = 686
        }
#12 0x081b8628 in x_draw_window_cursor (w=0x10fb2128, glyph_row=0xbbc178c, x=270, y=670, cursor_type=FILLED_BOX_CURSOR, cursor_width=1, on_p=true, 
    active_p=true) at xterm.c:8959
        f = 0xa78fed0
#13 0x080f0e75 in display_and_set_cursor (w=0x10fb2128, on=true, hpos=30, vpos=35, x=270, y=670) at xdisp.c:27943
        f = 0xa78fed0
        new_cursor_type = 0
        new_cursor_width = 1
        active_cursor = true
        glyph_row = 0xbbc178c
        glyph = 0x1254fa98
#14 0x081a589d in x_update_window_end (w=0x10fb2128, cursor_on_p=true, mouse_face_overwritten_p=false) at xterm.c:1164
No locals.
#15 0x0805cb6f in update_window (w=0x10fb2128, force_p=true) at dispnew.c:3541
        end = 0x111f590c
        mode_line_row = 0x111f590c
        header_line_row = 0x0
        changed_p = false
        mouse_face_overwritten_p = false
        row = 0x111f590c
        yb = 703
        n_updated = 0
        desired_matrix = 0x10e0dfb0
        paused_p = false
        preempt_count = 9
        rif = 0x844b440 <x_redisplay_interface>
#16 0x0805beb8 in update_window_tree (w=0x10fb2128, force_p=true) at dispnew.c:3219
        paused_p = false
#17 0x0805be7e in update_window_tree (w=0x11bc74f8, force_p=true) at dispnew.c:3217
        paused_p = false
#18 0x0805bab6 in update_frame (f=0xa78fed0, force_p=true, inhibit_hairy_id_p=false) at dispnew.c:3108
        paused_p = 160
        root_window = 0x11bc74f8
#19 0x080b4592 in redisplay_internal () at xdisp.c:13860
        mini_window = -6917529027465365504
        mini_frame = 0xb73bb273 <_XEventsQueued+131>
        w = 0x10fb2128
        sw = 0x10fb2128
        fr = 0xa78fed0
        pending = false
        must_finish = false
        match_p = true
        tlbufpos = {
          charpos = 0, 
          bytepos = 5007
        }
        tlendpos = {
          charpos = 51654, 
          bytepos = 52388
        }
        number_of_visible_frames = 2
        count = 2
        sf = 0xa78fed0
        polling_stopped_here = true
        tail = 0
        frame = -6917529027498851832
        consider_all_windows_p = false
        update_miniwindow_p = false
#20 0x080b1038 in redisplay () at xdisp.c:13016
No locals.
#21 0x081f0974 in read_char (commandflag=1, map=-4611686018249749264, prev_event=0, used_mouse_menu=0xbfb3be01, end_time=0x0) at keyboard.c:2540
        echo_current = true
        c = 0
        jmpcount = 0
        local_getcjmp = {{
            __jmpbuf = {0, 142051944, 177638656, 177638656, 0, 0}, 
            __mask_was_saved = 0, 
            __saved_mask = {
              __val = {0, 6, 3221225472, 0, 0, 0, 0, 0, 0, 3216227448, 136180931, 22960, 0, 240697696, 3221225472, 177638640, 22960, 3216227512, 
                136178778, 22960, 0, 0, 3221225472, 177638640, 3221225472, 22960, 0, 177638640, 177638640, 22960, 142074904, 177638640}
            }
          }}
        save_jump = {{
            __jmpbuf = {-1073741824, -1078739736, 136180858, 0, 0, 177638640}, 
            __mask_was_saved = -1073741824, 
            __saved_mask = {
              __val = {177638640, 0, 3216227608, 136178778, 0, 0, 0, 136180931, 142074904, 3221225472, 0, 0, 175701712, 2684354560, 0, 142051944, 
                175701712, 175701712, 3216227656, 136180858, 0, 0, 5, 0, 175701712, 2684354560, 0, 0, 0, 175701712, 3216227688, 136180931}
            }
          }}
        tem = 762952218203032832
        save = 588121329735285752
        previous_echo_area_message = 0
        also_record = 0
        reread = false
        gcpro1 = {
          next = 0xc0000000, 
          var = 0xbfb3bce8, 
          nvars = 136180858
        }
        gcpro2 = {
          next = 0xc0000000, 
          var = 0xbfb3bce8, 
          nvars = 136180858
        }
        polling_stopped_here = false
        orig_kboard = 0xa7d9a38
#22 0x082070b7 in read_key_sequence (keybuf=0xbfb3bfc0, bufsize=30, prompt=0, dont_downcase_last=false, can_return_switch_frame=true, 
    fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9153
        interrupted_kboard = 0xa7d9a38
        interrupted_frame = 0xa78fed0
        key = 0
        used_mouse_menu = false
        echo_local_start = 0
        last_real_key_start = 0
        keys_local_start = 0
        new_binding = 8795814952
        count = 2
        t = 0
        echo_start = 0
        keys_start = 0
        current_binding = -4611686018249749264
        first_event = 0
        first_unbound = 31
        mock_input = 0
        fkey = {
          parent = -4611686018251217424, 
          map = -4611686018251217424, 
          start = 0, 
          end = 0
        }
        keytran = {
          parent = -4611686018285233600, 
          map = -4611686018285233600, 
          start = 0, 
          end = 0
        }
        indec = {
          parent = -4611686018251217440, 
          map = -4611686018251217440, 
          start = 0, 
          end = 0
        }
        shift_translated = false
        delayed_switch_frame = 0
        original_uppercase = -4633151852644155772
        original_uppercase_position = -1
        dummyflag = false
        starting_buffer = 0xc457c28
        fake_prefixed_keys = 0
        gcpro1 = {
          next = 0xa8025e0, 
          var = 0xc0000000, 
          nvars = 176170464
        }
#23 0x081ec356 in command_loop_1 () at keyboard.c:1402
        cmd = 3356152
        keybuf = {4611686018427387918, 0, 158840, 0, -9223372036712723864, 610108453813223424, 1238064455534673168, 584892334667448360, 0, 
          -4611686018139128560, -9223372036716047632, 0, 0, 584892648200061000, 0, 584883401135472760, 0, 585100641660043264, 0, 0, 14560, 
          610108453813223424, 62534723829762, 584892334667448488, 0, -4611686018427387904, 0, 0, 3221225472, 584892648200061128}
        i = 1
        prev_modiff = 76837
        prev_buffer = 0xc457c28
        already_adjusted = false
#24 0x082bc6a3 in internal_condition_case (bfun=0x81ebd5a <command_loop_1>, handlers=14560, hfun=0x81eaf9b <cmd_error>) at eval.c:1348
        val = 584883401135472952
        c = 0x8f23700
#25 0x081eb7f1 in command_loop_2 (ignore=0) at keyboard.c:1134
        val = 4611686018427387904
#26 0x082bb6ef in internal_catch (tag=36000, func=0x81eb7b5 <command_loop_2>, arg=0) at eval.c:1108
        val = 142087944
        c = 0x8f23620
#27 0x081eb76f in command_loop () at keyboard.c:1113
No locals.
#28 0x081ea9ae in recursive_edit_1 () at keyboard.c:723
        count = 1
        val = 0
#29 0x081eac6f in Frecursive_edit () at keyboard.c:794
        count = 0
        buffer = 0
#30 0x081e826c in main (argc=2, argv=0xbfb3c374) at emacs.c:1626
        dummy = -5313403135367053311
        stack_bottom_variable = -120 '\210'
        do_initial_setlocale = true
        dumping = false
        skip_args = 1
        rlim = {
          rlim_cur = 8388608, 
          rlim_max = 18446744073709551615
        }
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x0
        original_pwd = 0x0

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)

In GNU Emacs 25.0.50.2 (i686-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2015-08-10 on Aurora
Repository revision: 3b112f6389edd1b55ed32cd4836a1d2cdafb524f
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.3 LTS

Configured using:
 `configure --with-x-toolkit=lucid --enable-checking --with-wide-int
 'CFLAGS= -O0 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GSETTINGS NOTIFY GNUTLS
LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
  value of $LANG: fr_BE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix